# HG changeset patch
# User yz06
# Date 1452154771 -28800
#      Thu Jan 07 16:19:31 2016 +0800
# Node ID f94872f084a1e8ac4eaef8eeede29fdddb31e9ba
# Parent  f82d685facda4863d519bcd0f08a3b9590a8b530
APBU11400/SR64026:Add checking forscanning scope and time stamp for bad or fragment video stream

diff -r f82d685facda -r f94872f084a1 gst-plugins-bad/gst/mpegdemux/gstmpegdemux.c
--- a/gst-plugins-bad/gst/mpegdemux/gstmpegdemux.c	Tue Nov 10 14:16:17 2015 +0800
+++ b/gst-plugins-bad/gst/mpegdemux/gstmpegdemux.c	Thu Jan 07 16:19:31 2016 +0800
@@ -539,6 +539,10 @@
 
   if (demux->src_segment.last_stop != GST_CLOCK_TIME_NONE) {
     GstClockTime new_time = demux->base_time + demux->src_segment.last_stop;
+	//ZhangYong: APBU11400/SR64026,Checking whether the timestamp is valid or not.
+	if (G_UNLIKELY(!GST_CLOCK_TIME_IS_VALID (new_time))) {
+	  new_time = 0;
+	}
 
     if (stream->last_ts == GST_CLOCK_TIME_NONE || stream->last_ts < new_time) {
 #if 0
@@ -2446,7 +2450,8 @@
       return FALSE;
 
 	//ZhangYong: APBU0740/SR53652, set the scanning upper limit.
-    if ( (offset > *pos+4*1024*1024) && SCAN_PTS==mode)
+	//				APBU11400/SR64026, port the limit(4MB) from gstreamer 1.x
+    if (offset > *pos+4*1024*102)
       return FALSE;
 	//ZhangYong: End
 
@@ -2498,7 +2503,8 @@
       return FALSE;
 
 	//ZhangYong: APBU0740/SR53652, set the scanning upper limit.
-    if ( (offset < *pos-4*1024*1024) && SCAN_PTS==mode)
+	//				APBU11400/SR64026, port the limit(4MB) from gstreamer 1.x
+    if (offset < *pos-4*1024*1024)
       return FALSE;
 	//ZhangYong: End.
 
